Update account flex control

Update an account flex control. If you want to disable any flex control at the program level, you need to submit a request to the Pismo support team to change the active status parameter to false.

This endpoint generates an Account flex control updated event.

NOTE: This endpoint requires an account-specific access token.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
number
required

Account ID

string
required

Flex control ID

Body Params

Patch flex control request

string

Flex control name

processing_codes
array of strings

Processing codes list for evaluating flex control conditions. If the value is empty, the flex control applies to any processing code.

processing_codes
string

Flex control currency code (ISO 4217). Defines the precision used for monetary values such as max_limit, available_limit, and condition.value.

string

Account beneficiary ID

override_controls
array of strings

List of existing flex control IDs to override. The platform ignores these controls for the beneficiary identified by beneficiary_id and only evaluates the new flex control.

override_controls
int64
≥ 1

Maximum spending limit.

Defines the maximum limit for the control. Its meaning depends on the flex control type.

  • For spending_limit controls, max_limit represents the maximum spending amount allowed.
  • For usage_limit controls, max_limit represents the maximum number of transactions allowed.

Once met or exceeded, any subsequent transactions are declined by evaluation control flow.

For spending limits, note that this value is an integer. Since global currencies vary in the number of digits that are allowed after the decimal point, you must convert the actual maximum spending limit into an integer value to use in this field. To do this, use the following formula.

value = floatNumber × 10^X, where X is the number of digits after the decimal separator for the currency as defined in ISO 4217.

For example, if you want to set the value 499.99 for BRL currency transactions, where the number of decimal places is 2, you must set it to 49999 (499.99 × 10²).

If you want to set the value 499 for JPY currency transactions, where the number of decimal places is 0, you must set it to 4999 (4999.0 × 10^0 = 4999.0 × 1 - in other words, the value doesn't change.)

This field is REQUIRED for flex controls with the type of spending_limit and usage_limit, and it does not apply to flex controls with the type of restriction and cumulative_limit.

int64

Represents the remaining limit for the flex control. Its meaning depends on the flex control type.

  • For spending_limit controls, available_limit is the remaining spending amount.
  • For usage_limit controls, available_limit is the remaining number of transactions allowed.

The available_limit is calculated by: max_limit - current_spend_limit. The current_spend_limit, an internal field, is the total amount of all approved transactions in the limit_duration period. It is reset by the evaluation flow when a new transaction is evaluated in the new period according to the reset_period.

When available_limit is set in a PATCH request via Update account flex control or Update customer flex control, it resets current_spend_limit. In this case, available_limit cannot be greater than max_limit.

For spending limits, note that available_limit is an integer. Since global currencies vary in the number of digits that are allowed after the decimal point, you must convert the actual maximum spending limit into an integer value to use in this field. To do this, use the following formula:

value = floatNumber * 10^x, where x is the number of digits for the currency as defined in ISO 4217.

For example, if you want to set the value 499.99 for BRL currency transactions, you must set 49999 = 499.99 * 10^2.

On the other hand, the Japanese money system does't use fractions of a yen (the Japanese currency). So, to set the value at 4999 yen, you must set 4999 = 4999.0 * 10^0 = 4999.0 * 1. (In other words, the value doesn't change.)

string

Flex control limit period duration (ISO 8601 format). For example, if a flex control sets a spending limit of $500, and limit_duration is set to one month (P1M), then the user cannot spend more than $500 from the account in any one month period.

date-time
deprecated

Note: This field is deprecated and replaced with reset_period. Reset datetime (RFC-3339 format) for the control rule. If reset_period is not set, a default is calculated based on the limit_duration period and the current time. This field should only be specified when type is either spending_limit or usage_limit.

reset_period
object

Enables the specification of reset periods for accumulators based on the duration in limit_duration. When this field is set, it must follow the RFC 3339 pattern from ISO 8601. When reset_period changes, the avaliable_limit is reset.

string

IANA Time Zone database, such as "America/New_York". This attribute is used to evaluate the flex control using the desired time zone for condition attributes such as week_day, month_day, time_now, and reset_period. If time_zone is empty, the control is evaluated using the UTC time zone.

conditions
array of objects
conditions
boolean
Defaults to true

If not specified, defaults to 'true'. If set to 'false', the flex control is skipped during evaluation.

boolean

Indicates whether the flex control is updated at the account level or customer level (true) or managed at the program level (false).

To revert a customized flex control back to program-level management, call Update account flex control or Update customer flex control and set customized as false.

string
length between 2 and 2

Alphanumeric two-character response code. This can be the standard card network response code. When the platform denies a transaction, it returns the response code that provides the precise reason for the denial by the card network.

string
length between 1 and 3

Alphanumeric three-character custom code. This can be an alternative custom code. When the platform denies a control evaluation, it returns the custom code that provides the precise reason for the denial by the anti-fraud solution.

int64
1 to 99

Order in which the control is evaluated. If this value is not provided, the control is evaluated after the controls with the configured evaluation_order value.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json